<template>
    <div v-if="isLoading || isLoadingLesson" class="text-center">
        <SpinLoading />
    </div>
    <template v-else>
        <div class="flex items-center justify-between mb-4">
            <Breadcrumb nameRouteHome="admin" textRouteHome="Trang chủ">
                <ItemBreadcrumb
                    isRouteLink
                    nameRoute="admin-course"
                    hashRoute="#public"
                >
                    Quản lý khóa học
                </ItemBreadcrumb>
                <ItemBreadcrumb
                    isRouteLink
                    nameRoute="admin-course-view"
                    :paramsRoute="{ courseId: course.id }"
                    hashRoute="#lessons"
                >
                    {{ course.name }}
                </ItemBreadcrumb>
                <ItemBreadcrumb>{{ lesson?.name }}</ItemBreadcrumb>
            </Breadcrumb>
        </div>
        <div class="card">
            <div class="card-body">
                <ViewLesson :lesson="lesson" />
            </div>
        </div>
    </template>
</template>

<script>
import { useRoute } from "vue-router";

import useGetCourse from "@/hooks/course/useGetCourse";
import useGetLesson from "@/hooks/lesson/useGetLesson";

import SpinLoading from "@/components/loading/SpinLoading.vue";
import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import ViewLesson from "@/components/lesson/ViewLesson.vue";

export default {
    components: {
        SpinLoading,
        Breadcrumb,
        ItemBreadcrumb,
        ViewLesson
    },
    setup() {
        const route = useRoute();
        const { isLoading, course, onGetCourse } = useGetCourse();
        const { isLoadingLesson, lesson, onGetLesson } = useGetLesson();

        async function getCourse() {
            await onGetCourse(route.params.courseId);
        }
        getCourse();

        async function getLesson() {
            await onGetLesson(route.params.lessonId);
        }
        getLesson();

        return { isLoading, course, isLoadingLesson, lesson };
    }
};
</script>
